#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: darcs
version: 2.13.0
id: darcs-2.13.0-JmbYb1Jy0UF5poNSdCjCVd
key: darcs-2.13.0-JmbYb1Jy0UF5poNSdCjCVd
license: GPL
maintainer: <darcs-devel@darcs.net>
stability: Experimental
homepage: http://darcs.net/
synopsis: a distributed, interactive, smart revision control system
description:
    Darcs is a free, open source revision control
    system. It is:
    .
    * Distributed: Every user has access to the full
    command set, removing boundaries between server and
    client or committer and non-committers.
    .
    * Interactive: Darcs is easy to learn and efficient to
    use because it asks you questions in response to
    simple commands, giving you choices in your work
    flow. You can choose to record one change in a file,
    while ignoring another. As you update from upstream,
    you can review each patch name, even the full "diff"
    for interesting patches.
    .
    * Smart: Originally developed by physicist David
    Roundy, darcs is based on a unique algebra of
    patches.
    .
    This smartness lets you respond to changing demands
    in ways that would otherwise not be possible. Learn
    more about spontaneous branches with darcs.
category: Development
author: David Roundy <droundy@darcs.net>, <darcs-devel@darcs.net>
exposed: True
indefinite: False
exposed-modules:
    Darcs.Patch Darcs.Patch.Annotate Darcs.Patch.Apply
    Darcs.Patch.ApplyMonad Darcs.Patch.ApplyPatches
    Darcs.Patch.Bracketed Darcs.Patch.Bracketed.Instances
    Darcs.Patch.Bundle Darcs.Patch.Choices Darcs.Patch.Commute
    Darcs.Patch.CommuteFn Darcs.Patch.Conflict Darcs.Patch.Debug
    Darcs.Patch.Depends Darcs.Patch.Dummy Darcs.Patch.Effect
    Darcs.Patch.FileHunk Darcs.Patch.Format Darcs.Patch.Index.Monad
    Darcs.Patch.Index.Types Darcs.Patch.Info Darcs.Patch.Inspect
    Darcs.Patch.Invert Darcs.Patch.Match Darcs.Patch.Matchable
    Darcs.Patch.Merge Darcs.Patch.MonadProgress Darcs.Patch.Named
    Darcs.Patch.Named.Wrapped Darcs.Patch.OldDate
    Darcs.Patch.PatchInfoAnd Darcs.Patch.Patchy
    Darcs.Patch.Patchy.Instances Darcs.Patch.Permutations
    Darcs.Patch.Prim Darcs.Patch.Prim.Class Darcs.Patch.Prim.FileUUID
    Darcs.Patch.Prim.FileUUID.Apply Darcs.Patch.Prim.FileUUID.Coalesce
    Darcs.Patch.Prim.FileUUID.Commute Darcs.Patch.Prim.FileUUID.Core
    Darcs.Patch.Prim.FileUUID.Details
    Darcs.Patch.Prim.FileUUID.ObjectMap Darcs.Patch.Prim.FileUUID.Read
    Darcs.Patch.Prim.FileUUID.Show Darcs.Patch.Prim.V1
    Darcs.Patch.Prim.V1.Apply Darcs.Patch.Prim.V1.Coalesce
    Darcs.Patch.Prim.V1.Commute Darcs.Patch.Prim.V1.Core
    Darcs.Patch.Prim.V1.Details Darcs.Patch.Prim.V1.Read
    Darcs.Patch.Prim.V1.Show Darcs.Patch.Progress Darcs.Patch.Read
    Darcs.Patch.ReadMonads Darcs.Patch.Rebase
    Darcs.Patch.Rebase.Container Darcs.Patch.Rebase.Fixup
    Darcs.Patch.Rebase.Item Darcs.Patch.Rebase.Name
    Darcs.Patch.Rebase.Viewing Darcs.Patch.RegChars Darcs.Patch.Repair
    Darcs.Patch.RepoPatch Darcs.Patch.RepoType Darcs.Patch.Set
    Darcs.Patch.Show Darcs.Patch.Split Darcs.Patch.Summary
    Darcs.Patch.SummaryData Darcs.Patch.TokenReplace
    Darcs.Patch.TouchesFiles Darcs.Patch.Type Darcs.Patch.V1
    Darcs.Patch.V1.Apply Darcs.Patch.V1.Commute Darcs.Patch.V1.Core
    Darcs.Patch.V1.Read Darcs.Patch.V1.Show Darcs.Patch.V1.Viewing
    Darcs.Patch.V2 Darcs.Patch.V2.Non Darcs.Patch.V2.RepoPatch
    Darcs.Patch.Viewing Darcs.Patch.Witnesses.Eq
    Darcs.Patch.Witnesses.Ordered Darcs.Patch.Witnesses.Sealed
    Darcs.Patch.Witnesses.Show Darcs.Patch.Witnesses.Unsafe
    Darcs.Patch.Witnesses.WZipper Darcs.Prelude Darcs.Repository
    Darcs.Repository.ApplyPatches Darcs.Repository.Cache
    Darcs.Repository.Clone Darcs.Repository.Diff Darcs.Repository.Flags
    Darcs.Repository.Format Darcs.Repository.Hashed
    Darcs.Repository.HashedIO Darcs.Repository.Identify
    Darcs.Repository.InternalTypes Darcs.Repository.Job
    Darcs.Repository.Match Darcs.Repository.Merge Darcs.Repository.Old
    Darcs.Repository.Packs Darcs.Repository.PatchIndex
    Darcs.Repository.Pending Darcs.Repository.Prefs
    Darcs.Repository.Rebase Darcs.Repository.Repair
    Darcs.Repository.Resolution Darcs.Repository.State
    Darcs.Repository.Test Darcs.Repository.Working
    Darcs.UI.ApplyPatches Darcs.UI.Commands Darcs.UI.Commands.Add
    Darcs.UI.Commands.Amend Darcs.UI.Commands.Annotate
    Darcs.UI.Commands.Apply Darcs.UI.Commands.Clone
    Darcs.UI.Commands.Convert Darcs.UI.Commands.Diff
    Darcs.UI.Commands.Dist Darcs.UI.Commands.GZCRCs
    Darcs.UI.Commands.Help Darcs.UI.Commands.Init Darcs.UI.Commands.Log
    Darcs.UI.Commands.MarkConflicts Darcs.UI.Commands.Move
    Darcs.UI.Commands.Optimize Darcs.UI.Commands.Pull
    Darcs.UI.Commands.Push Darcs.UI.Commands.Rebase
    Darcs.UI.Commands.Record Darcs.UI.Commands.Remove
    Darcs.UI.Commands.Repair Darcs.UI.Commands.Replace
    Darcs.UI.Commands.Revert Darcs.UI.Commands.Rollback
    Darcs.UI.Commands.Send Darcs.UI.Commands.SetPref
    Darcs.UI.Commands.Show Darcs.UI.Commands.ShowAuthors
    Darcs.UI.Commands.ShowContents Darcs.UI.Commands.ShowDependencies
    Darcs.UI.Commands.ShowFiles Darcs.UI.Commands.ShowIndex
    Darcs.UI.Commands.ShowPatchIndex Darcs.UI.Commands.ShowRepo
    Darcs.UI.Commands.ShowTags Darcs.UI.Commands.Tag
    Darcs.UI.Commands.Test Darcs.UI.Commands.TransferMode
    Darcs.UI.Commands.Unrecord Darcs.UI.Commands.Unrevert
    Darcs.UI.Commands.Util Darcs.UI.Commands.Util.Tree
    Darcs.UI.Commands.WhatsNew Darcs.UI.CommandsAux Darcs.UI.Completion
    Darcs.UI.Defaults Darcs.UI.Email Darcs.UI.External Darcs.UI.Flags
    Darcs.UI.Message.Send Darcs.UI.Options Darcs.UI.Options.All
    Darcs.UI.Options.Core Darcs.UI.Options.Flags Darcs.UI.Options.Iso
    Darcs.UI.Options.Markdown Darcs.UI.Options.Matching
    Darcs.UI.Options.Util Darcs.UI.PatchHeader Darcs.UI.PrintPatch
    Darcs.UI.RunCommand Darcs.UI.SelectChanges Darcs.UI.TheCommands
    Darcs.UI.Usage Darcs.Util.AtExit Darcs.Util.Bug
    Darcs.Util.ByteString Darcs.Util.CommandLine Darcs.Util.Compat
    Darcs.Util.Crypt.SHA1 Darcs.Util.Crypt.SHA256
    Darcs.Util.DateMatcher Darcs.Util.DateTime Darcs.Util.Diff
    Darcs.Util.Diff.Myers Darcs.Util.Diff.Patience Darcs.Util.Download
    Darcs.Util.Download.HTTP Darcs.Util.Download.Request
    Darcs.Util.English Darcs.Util.Exception Darcs.Util.Exec
    Darcs.Util.External Darcs.Util.File Darcs.Util.Global
    Darcs.Util.Hash Darcs.Util.Index Darcs.Util.IsoDate Darcs.Util.Lock
    Darcs.Util.Path Darcs.Util.Printer Darcs.Util.Printer.Color
    Darcs.Util.Progress Darcs.Util.Prompt Darcs.Util.Ratified
    Darcs.Util.Show Darcs.Util.SignalHandler Darcs.Util.Ssh
    Darcs.Util.Text Darcs.Util.Tree Darcs.Util.Tree.Hashed
    Darcs.Util.Tree.Monad Darcs.Util.Tree.Plain Darcs.Util.URL
    Darcs.Util.Workaround
hidden-modules: Version Darcs.Util.Download.Curl
                Darcs.Util.Encoding
abi: b4854ac7ddc90dfeaf6d01cb6f6e859a
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/darcs-2.13.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/darcs-2.13.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/darcs-2.13.0
hs-libraries: HSdarcs-2.13.0-JmbYb1Jy0UF5poNSdCjCVd
extra-libraries:
    curl
depends:
    base-4.10.0.0 binary-0.8.5.1 containers-0.5.10.2
    regex-compat-tdfa-0.95.1.4-9J2NigrLRPNAUKwB7SzCnJ
    regex-applicative-0.3.3-J7A66V0KzYR10wjnSp8bVc
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 transformers-0.5.2.0
    parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh
    fgl-5.5.4.0-COv1pCfgmI26gh5vvUifJw
    graphviz-2999.19.0.0-HGkg8iBfLhBIYU4ZsAivKD
    html-1.0.1.2-Gz5RL5eVWKIJ2YfxLl6v89 filepath-1.4.1.2
    haskeline-0.7.4.0 cryptohash-0.11.9-GZqyP6wdQkB6Yhf3SrzOJM
    base16-bytestring-0.1.1.6-1RelFaTH3mXDxpXrCeJSko
    utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m
    vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi
    tar-0.5.0.3-INtpRXtFzzEKq72z4RSP9M
    data-ordlist-0.4.7.0-FbL4nCzWBaaILSIRV0UBHS
    attoparsec-0.13.2.0-CjTw1SIXl7j4WJB8EsmBPm
    zip-archive-0.3.1.1-CZhWVZnrHky8oZZ6YlWuu5
    async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc
    sandi-0.4.1-CayCIwGskXPGp0cE4Rlwhu
    unix-compat-0.4.3.1-EzGzmB3Cz3F9KJc1tD42yp bytestring-0.10.8.2
    old-time-1.1.0.3-JBqRS8v7R0IBEIYolASC7h time-1.8.0.2
    text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz directory-1.3.0.2
    process-1.6.1.0 array-0.5.2.0 random-1.1-DtLcP2Z2iOOC0RwcSmXjBK
    hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk
    mmap-0.5.9-EWtfmxbT8jF8qY63lOubUM
    zlib-0.6.1.2-6xNZGE39eOa1IjQdEzckzB
    network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK
    network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx
    HTTP-4000.3.7-Hw6XepIHeicKJxUXQPE0PZ unix-2.7.2.2
    knob-0.1.1-BMqK3hSPOz9mejkvDRIPI terminfo-0.4.1.0
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             binary-0.8.5.1=44e4c28d2f38593047e3772473ecb87e
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             regex-compat-tdfa-0.95.1.4-9J2NigrLRPNAUKwB7SzCnJ=399f9fb735d2434e5e527570b010d2ba
             regex-applicative-0.3.3-J7A66V0KzYR10wjnSp8bVc=a4ffebcd46dce93470fe13936ec84bf0
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             parsec-3.1.11-5WCVqUZr6ypLPXtYWYsMnh=e1133adbf062e57f52fe5f364651e21e
             fgl-5.5.4.0-COv1pCfgmI26gh5vvUifJw=9e93766b9e4f2190625755cc1693c65c
             graphviz-2999.19.0.0-HGkg8iBfLhBIYU4ZsAivKD=3fc4614aac47bf236f423d9f7ca69ba6
             html-1.0.1.2-Gz5RL5eVWKIJ2YfxLl6v89=d34e0c01ff9c9df8d59859348b1905d7
             filepath-1.4.1.2=7f2f990ae2114c616de6dfc1a7f18a6e
             haskeline-0.7.4.0=e303ef8fea72a3056f73fb9b89d2eb35
             cryptohash-0.11.9-GZqyP6wdQkB6Yhf3SrzOJM=cc1de9af8fb1dbdcb4fc3429226f1ae5
             base16-bytestring-0.1.1.6-1RelFaTH3mXDxpXrCeJSko=8eee912e61521dafabce3d6c55a8e0d0
             utf8-string-1.0.1.1-CvukXmdyLbdJ7d5kadRf8m=86282a526305f57509e4009ab924a497
             vector-0.12.0.1-CnPH69pDwM4A5esizlXfXi=23f6c0fe109d2ea8c2d28bae9257ae6c
             tar-0.5.0.3-INtpRXtFzzEKq72z4RSP9M=83854589d621afa390620ba60c966f5e
             data-ordlist-0.4.7.0-FbL4nCzWBaaILSIRV0UBHS=247fe11e46ec47a52630c8fd41699cfa
             attoparsec-0.13.2.0-CjTw1SIXl7j4WJB8EsmBPm=754c9623208b731856696d360a56d5ab
             zip-archive-0.3.1.1-CZhWVZnrHky8oZZ6YlWuu5=30b275155ed4d43ea3e79be812803b41
             async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc=877e0732f418402f16d143a5b45ef88e
             sandi-0.4.1-CayCIwGskXPGp0cE4Rlwhu=0ac763794f6150110df86c4efab8282c
             unix-compat-0.4.3.1-EzGzmB3Cz3F9KJc1tD42yp=c3087b497fbb9a1a0b9e1db4ff794ff4
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             old-time-1.1.0.3-JBqRS8v7R0IBEIYolASC7h=68a36e33bd2b1b969b7f48a0dec887aa
             time-1.8.0.2=e9c7416c5b79f57513fe11898c3d9f95
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=9217a19661a41b462c62d1a4bdf2e9b1
             directory-1.3.0.2=3638cd3d85711234b23f0c0ec04058d3
             process-1.6.1.0=d01a8ca2c6610f40dfd0fe25f50afb10
             array-0.5.2.0=f1e5b16bbab6fd27896e28be963fa7eb
             random-1.1-DtLcP2Z2iOOC0RwcSmXjBK=5faba54ff6ceaac5cbd433f5aeb4a970
             hashable-1.2.6.1-5D85BzUWIsjDNuFvtLMWyk=5285d4c9a9fd47aab57774d045fde1ac
             mmap-0.5.9-EWtfmxbT8jF8qY63lOubUM=9c06d56cc057a2bc50072463eb251e8c
             zlib-0.6.1.2-6xNZGE39eOa1IjQdEzckzB=b376f34fdf020268b43dfcb638579ae4
             network-uri-2.6.1.0-4GXMsZ4PWr49y3TK4YgSYK=0d8dbc66a8173770b7f27b72bc5a4600
             network-2.6.3.2-8o5F7G3DMrLGgmHkPzZYJx=06cb668c0e9e66cc22d17c21c1fa2e38
             HTTP-4000.3.7-Hw6XepIHeicKJxUXQPE0PZ=a8a9e74001c04b88325ae9904e515a78
             unix-2.7.2.2=65f42a53c0d1c7bb4ba5966ba6a43504
             knob-0.1.1-BMqK3hSPOz9mejkvDRIPI=fcbcf3d144f07dd3d2777ed58439f9eb
             terminfo-0.4.1.0=b8e7244afdf411e9eafa0e2548190419
haddock-interfaces: /usr/share/doc/darcs/html/darcs.haddock
haddock-html: /usr/share/doc/darcs/html
' | '/usr/sbin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

